Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033334
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] StoreServermajorhave not tried2016-06-22 18:482016-11-10 09:56
ReporterAugustoMauchView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in VersionRR17Q1
StatusclosedFix in branchFixed in SCM revision4bfc3af576fe
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033334: Monitor in the central server the POS errors that occurred in the store servers

DescriptionMonitor in the central server the POS errors that occurred in the store servers.

Allow the user to retry/resolve errors in the store server from the central server.

http://wiki.openbravo.com/wiki/Projects:Store_Server_Enhanced_Error_Handling [^]
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate feature request 0033232RR16Q4 closedmtaal Provide centrally managed handling of store server processing errors 
related to defect 0034246 closedmtaal Execute only in current server is automatically filled when save a import entry 

-  Notes
(0087835)
hgbot (developer)
2016-06-22 18:55

Repository: erp/pmods/org.openbravo.retail.storeserver.synchronization
Changeset: 130d18237cc5e9aaf2b80f409a4039a2be1ed8d9
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Jun 22 18:50:29 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/130d18237cc5e9aaf2b80f409a4039a2be1ed8d9 [^]

Related with issue 33334: Creates OBSTSYN_ERROR to aggregate and synch errors

The OBSTSYN_ERROR table will be populated based on the contents of OBPOS_Error and the errors from the import entries, and is synchronized from the stores to the central server.

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-db/database/sourcedata/AD_TABLE.xml
M src-db/database/sourcedata/AD_TREENODE.xml
M src-db/database/sourcedata/AD_WINDOW.xml
M src-db/database/sourcedata/STRSYNC_SYNCHRONIZEDTABLE.xml
A src-db/database/model/tables/OBSTSYN_ERROR.xml
---
(0087836)
hgbot (developer)
2016-06-22 18:55

Repository: erp/pmods/org.openbravo.retail.storeserver.synchronization
Changeset: 669889ea639998889764bd41747f0bf0c893d26d
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Jun 22 18:53:16 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/669889ea639998889764bd41747f0bf0c893d26d [^]

Related with issue 33334: Populates obstsyn_error with event handlers

Two event handlers have been added to c_import_entry and to obpos_error to automatically keep the obstsyn_error table updated. The event handlers are in charge of inserting data in the table, updating its contents and removing them.

---
A src/org/openbravo/retail/storeserver/synchronization/eventhandler/ImportEntryErrorEventHandler.java
A src/org/openbravo/retail/storeserver/synchronization/eventhandler/ObPosErrorEventHandler.java
---
(0087855)
AugustoMauch (developer)
2016-06-23 13:35

Repository: erp/pmods/org.openbravo.replication.symmetricds
Changeset: 0d7e8be3f9fc85eee0db024ad1def38ea578dcfc
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu Jun 23 13:32:23 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.replication.symmetricds/rev/0d7e8be3f9fc85eee0db024ad1def38ea578dcfc [^] [^]

Related with issue 33336: Changes access level of Synch Error window

The Synchronization Error in Outgoing Batch window has been moved from System Admin to standard admin roles. The manual datasource has been updated to apply the proper client filter.

---
M src-db/database/sourcedata/AD_TABLE.xml
M src/org/openbravo/replication/symmetricds/datasource/OutgoingSynchronizationErrorsDS.java
(0087917)
mtaal (manager)
2016-06-25 19:57

More changes needed
(0088288)
hgbot (developer)
2016-07-07 12:27

Repository: erp/pmods/org.openbravo.replication.symmetricds
Changeset: 0ac343650bd0e82a83d8e49048fa001ddb2c03e8
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu Jul 07 12:23:57 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.replication.symmetricds/rev/0ac343650bd0e82a83d8e49048fa001ddb2c03e8 [^]

Related with issue 33334: Improves Registered Server window

The following changes have been done to the Registered Server window:
- Its access level has been changed from System Only to Client/Organization
- It now shows the mobile server key of the registered servers
- It includes two buttons, Show Synchronization Errors and Show Process Errors, that will only be visible if the select mobile server currenty has synchronization or process errors respectively. Clicking one of those buttons will open the appropiate error window.

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_TABLE.xml
M src-db/database/sourcedata/OBUIAPP_PROCESS.xml
M src/org/openbravo/replication/symmetricds/datasource/RegisteredServersDS.java
A src/org/openbravo/replication/symmetricds/provider/ReplicationModuleComponentProvider.java
A web/org.openbravo.replication.symmetricds/js/mobileServerErrorHandler.js
---
(0088318)
hgbot (developer)
2016-07-08 09:15

Repository: erp/pmods/org.openbravo.replication.symmetricds
Changeset: c9a309643107af4282b7beafd946ddc5c18238c3
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri Jul 08 09:13:04 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.replication.symmetricds/rev/c9a309643107af4282b7beafd946ddc5c18238c3 [^]

Related with issue 33334: Removes manually tailing whitespace

---
M web/org.openbravo.replication.symmetricds/js/mobileServerErrorHandler.js
---
(0088864)
mtaal (manager)
2016-08-06 22:11

See this stack trace in test server, needs to be solved also:

cdb72c84 2016-08-06 20:09:59,806 [Import Entry - 4] ERROR org.openbravo.externaldata.integration.process.EDLImportEntryProcessor$EDLEntryProcessRunnable - org.hibernate.NonUniqueObjectException: a different object with the same identifier value was already associated with the session: [OBSTSYN_Error#6FBA67387F434B97BEA4859FBCFF88B8]
org.openbravo.base.exception.OBException: org.hibernate.NonUniqueObjectException: a different object with the same identifier value was already associated with the session: [OBSTSYN_Error#6FBA67387F434B97BEA4859FBCFF88B8]
        at org.openbravo.service.importprocess.ImportEntryManager.setImportEntryErrorIndependent(ImportEntryManager.java:460)
        at org.openbravo.service.importprocess.ImportEntryManager$Proxy$_$$_WeldClientProxy.setImportEntryErrorIndependent(ImportEntryManager$Proxy$_$$_WeldClientProxy.java)
        at org.openbravo.service.importprocess.ImportEntryProcessor$ImportEntryProcessRunnable.doRunCycle(ImportEntryProcessor.java:436)
        at org.openbravo.service.importprocess.ImportEntryProcessor$ImportEntryProcessRunnable.run(ImportEntryProcessor.java:292)
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
        at java.util.concurrent.FutureTask.run(FutureTask.java:166)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1146)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
        at java.lang.Thread.run(Thread.java:701)
Caused by: org.hibernate.NonUniqueObjectException: a different object with the same identifier value was already associated with the session: [OBSTSYN_Error#6FBA67387F434B97BEA4859FBCFF88B8]
        at org.hibernate.event.def.AbstractSaveEventListener.performSave(AbstractSaveEventListener.java:190)
        at org.hibernate.event.def.AbstractSaveEventListener.saveWithGeneratedId(AbstractSaveEventListener.java:143)
        at org.hibernate.event.def.DefaultSaveOrUpdateEventListener.saveWithGeneratedOrRequestedId(DefaultSaveOrUpdateEventListener.java:210)
        at org.hibernate.event.def.DefaultSaveOrUpdateEventListener.entityIsTransient(DefaultSaveOrUpdateEventListener.java:195)
        at org.hibernate.event.def.DefaultSaveOrUpdateEventListener.performSaveOrUpdate(DefaultSaveOrUpdateEventListener.java:117)
        at org.hibernate.event.def.DefaultSaveOrUpdateEventListener.onSaveOrUpdate(DefaultSaveOrUpdateEventListener.java:93)
        at org.hibernate.impl.SessionImpl.fireSaveOrUpdate(SessionImpl.java:685)
        at org.hibernate.impl.SessionImpl.saveOrUpdate(SessionImpl.java:677)
        at org.openbravo.dal.core.SessionHandler.save(SessionHandler.java:176)
        at org.openbravo.dal.service.OBDal.save(OBDal.java:249)
        at org.openbravo.retail.storeserver.synchronization.eventhandler.ImportEntryErrorEventHandler.createErrorInSynchronizedTable(ImportEntryErrorEventHandler.java:130)
        at org.openbravo.retail.storeserver.synchronization.eventhandler.ImportEntryErrorEventHandler.onUpdate(ImportEntryErrorEventHandler.java:72)
        at sun.reflect.GeneratedMethodAccessor321.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:622)
        at org.jboss.weld.util.reflection.SecureReflections$13.work(SecureReflections.java:267)
        at org.jboss.weld.util.reflection.SecureReflectionAccess.run(SecureReflectionAccess.java:52)
        at org.jboss.weld.util.reflection.SecureReflectionAccess.runAsInvocation(SecureReflectionAccess.java:137)
        at org.jboss.weld.util.reflection.SecureReflections.invoke(SecureReflections.java:263)
        at org.jboss.weld.introspector.jlr.WeldMethodImpl.invokeOnInstance(WeldMethodImpl.java:164)
        at org.jboss.weld.introspector.ForwardingWeldMethod.invokeOnInstance(ForwardingWeldMethod.java:51)
(0088867)
hgbot (developer)
2016-08-07 14:41

Repository: erp/pmods/org.openbravo.retail.storeserver.synchronization
Changeset: 2b7183b87b52601497518615f11b3f63d3499f33
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sun Aug 07 14:40:56 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/2b7183b87b52601497518615f11b3f63d3499f33 [^]

Related to issue 33334: Monitor in the central server the POS errors that occurred in the store servers
When there is already an error for an import entry it is possible that the import entry error
event handler is called repeatedly and then it gets into an infinite loop, so check if the error
record was already created for the import entry, if so then re-use it

---
M src/org/openbravo/retail/storeserver/synchronization/eventhandler/ImportEntryErrorEventHandler.java
---
(0090856)
hgbot (developer)
2016-10-25 11:24

Repository: erp/pmods/org.openbravo.retail.storeserver.synchronization
Changeset: 506cd9a7710b81f2c0a81c4a4cf2d145324631bf
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Tue Oct 25 11:23:59 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/506cd9a7710b81f2c0a81c4a4cf2d145324631bf [^]

fixed issue 33334 added a new button to process pos errors

Added a new button to process pos errors and import entry errors
in POS Error in mobile servers window.

---
M src-db/database/model/tables/OBSTSYN_ERROR.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-db/database/sourcedata/OBUIAPP_PROCESS.xml
M src/org/openbravo/retail/storeserver/synchronization/StoreSynchronizationComponentProvider.java
A src/org/openbravo/retail/storeserver/synchronization/process/ProcessPOSErrors.java
A src/org/openbravo/retail/storeserver/synchronization/process/ProcessPOSErrorsHandler.java
A web/org.openbravo.retail.storeserver.synchronization/js/processPOSErrors.js
---
(0090950)
hgbot (developer)
2016-10-27 12:17

Repository: erp/pmods/org.openbravo.retail.storeserver.synchronization
Changeset: 6a22dd7e2db64995b81b650da61629e8bf65c010
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Oct 27 12:17:32 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/6a22dd7e2db64995b81b650da61629e8bf65c010 [^]

related to issue 33334 Fixed jsbeautify errors

---
M web/org.openbravo.retail.storeserver.synchronization/js/processPOSErrors.js
---
(0091055)
mtaal (manager)
2016-11-02 10:50

https://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/506cd9a7710b81f2c0a81c4a4cf2d145324631bf#l7.73 [^]
> do commit and close here
> give ImportEntryManager a kick to process the new entry after the commit:
          importEntryManager.notifyNewImportEntryCreated();

https://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/506cd9a7710b81f2c0a81c4a4cf2d145324631bf#l7.80 [^]
> log the exception

https://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/506cd9a7710b81f2c0a81c4a4cf2d145324631bf#l8.76 [^]
> log the exception

Make the Error/JSONInfo fields in the POS Error in Mobile Servers more rows (so they have more vertical space), maybe twice more

https://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/506cd9a7710b81f2c0a81c4a4cf2d145324631bf#l7.123 [^]
> add else and increase the number of attempts of the pos error by 1

https://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/506cd9a7710b81f2c0a81c4a4cf2d145324631bf#l7.76 [^]
> the json info sent from central should be put in the POSError record to make use of a manual repair done on the json, same as in the importentry, with the current code the error is just repeated
(0091162)
hgbot (developer)
2016-11-04 10:05

Repository: erp/pmods/org.openbravo.retail.storeserver.synchronization
Changeset: 77a78af71ee1e526d6c86ce42bce19691abc6e9b
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Fri Nov 04 10:05:15 2016 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/77a78af71ee1e526d6c86ce42bce19691abc6e9b [^]

related to issue 33334 applied code review

applied code review https://issues.openbravo.com/view.php?id=33334#c91055 [^]

---
M src-db/database/sourcedata/AD_FIELD.xml
M src/org/openbravo/retail/storeserver/synchronization/process/ProcessPOSErrors.java
M src/org/openbravo/retail/storeserver/synchronization/process/ProcessPOSErrorsHandler.java
---
(0091196)
mtaal (manager)
2016-11-07 12:04

> do the notify after the commit, otherwise the entry manager won't see the new entry
https://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/77a78af71ee1e526d6c86ce42bce19691abc6e9b#l2.50 [^]

> do the log before rollback and close, as rollbackandclose sometimes gives errors also
https://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/77a78af71ee1e526d6c86ce42bce19691abc6e9b#l3.64 [^]
(0091205)
hgbot (developer)
2016-11-07 16:35

Repository: erp/pmods/org.openbravo.retail.storeserver.synchronization
Changeset: 0b25ff5dd5265da0fe9c0f5d1a539fd5fadbf11a
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Mon Nov 07 16:34:12 2016 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/0b25ff5dd5265da0fe9c0f5d1a539fd5fadbf11a [^]

related to issue 33334 applied code review

applied code review https://issues.openbravo.com/view.php?id=33334#c91196 [^]

---
M src/org/openbravo/retail/storeserver/synchronization/process/ProcessPOSErrors.java
M src/org/openbravo/retail/storeserver/synchronization/process/ProcessPOSErrorsHandler.java
---
(0091266)
hgbot (developer)
2016-11-09 11:54

Repository: erp/pmods/org.openbravo.retail.storeserver.synchronization
Changeset: 4bfc3af576fec9622b05b91e75292cd22feca74a
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Wed Nov 09 11:54:31 2016 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/4bfc3af576fec9622b05b91e75292cd22feca74a [^]

Fixes issue 33334: Monitor in the central server the POS errors that occurred in the store servers

ProcessPOSerror: let the error fall through to the calling method
Added attempts column to import entry table to keep track of all attempts, set/inc it in the eventhandlers, copy value to error record when creating it
Process button is now single select, so only enabled if one record is selected
Show error message in the UI when processing pos error
Added specific processing error message so it can be translated
If there are multiple beans implementing the same type for processing a record then log a warning

---
M src-db/database/model/modifiedTables/C_IMPORT_ENTRY.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/OBUIAPP_PROCESS.xml
M src/org/openbravo/retail/storeserver/synchronization/RetrieveSyncStatus.java
M src/org/openbravo/retail/storeserver/synchronization/eventhandler/ImportEntryErrorEventHandler.java
M src/org/openbravo/retail/storeserver/synchronization/process/ProcessPOSErrors.java
---
(0091267)
mtaal (manager)
2016-11-09 11:55

Documentation:
http://wiki.openbravo.com/wiki/Store_Server_POS_and_Import_Entry_Error_Handling#Resolving_an_error [^]
(0091278)
hgbot (developer)
2016-11-09 12:44

Repository: erp/pmods/org.openbravo.retail.storeserver.synchronization
Changeset: 517c35b6e4c5a9c92a362e22c18b36132641cce3
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Wed Nov 09 12:44:19 2016 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/517c35b6e4c5a9c92a362e22c18b36132641cce3 [^]

Related to issue 33334: Monitor in the central server the POS errors that occurred in the store servers
Reverting unintended commit of a change to one file

---
M src/org/openbravo/retail/storeserver/synchronization/RetrieveSyncStatus.java
---
(0091319)
Sandrahuguet (developer)
2016-11-10 09:56

Reviewed and tested

- Issue History
Date Modified Username Field Change
2016-06-22 18:48 AugustoMauch New Issue
2016-06-22 18:48 AugustoMauch Assigned To => AugustoMauch
2016-06-22 18:55 hgbot Checkin
2016-06-22 18:55 hgbot Note Added: 0087835
2016-06-22 18:55 hgbot Checkin
2016-06-22 18:55 hgbot Note Added: 0087836
2016-06-23 13:35 AugustoMauch Note Added: 0087855
2016-06-23 17:36 AugustoMauch Status new => scheduled
2016-06-23 17:36 AugustoMauch Status scheduled => resolved
2016-06-23 17:36 AugustoMauch Resolution open => fixed
2016-06-24 14:08 AugustoMauch Review Assigned To => mtaal
2016-06-25 19:57 mtaal Assigned To AugustoMauch => mtaal
2016-06-25 19:57 mtaal Note Added: 0087917
2016-06-25 19:57 mtaal Status resolved => new
2016-06-25 19:57 mtaal Resolution fixed => open
2016-07-07 12:27 hgbot Checkin
2016-07-07 12:27 hgbot Note Added: 0088288
2016-07-08 09:15 hgbot Checkin
2016-07-08 09:15 hgbot Note Added: 0088318
2016-07-11 13:17 gorka_gil Project Modules => Retail Modules
2016-07-11 13:23 gorka_gil Category StoreServer Configuration => (No Category)
2016-07-11 13:26 gorka_gil Category (No Category) => StoreServer Configuration
2016-07-11 16:40 mtaal Triggers an Emergency Pack => No
2016-07-11 16:40 mtaal Category StoreServer Configuration => StoreServer Infrastructure
2016-07-12 16:13 gorka_gil Category StoreServer Infrastructure => StoreServer
2016-08-01 15:40 mtaal Relationship added has duplicate 0033232
2016-08-01 15:40 mtaal Description Updated View Revisions
2016-08-06 22:11 mtaal Note Added: 0088864
2016-08-07 14:41 hgbot Checkin
2016-08-07 14:41 hgbot Note Added: 0088867
2016-10-17 17:05 mtaal Assigned To mtaal => Sandrahuguet
2016-10-20 10:20 Sandrahuguet Relationship added related to 0034246
2016-10-25 11:24 hgbot Checkin
2016-10-25 11:24 hgbot Note Added: 0090856
2016-10-25 11:24 hgbot Status new => resolved
2016-10-25 11:24 hgbot Resolution open => fixed
2016-10-25 11:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/506cd9a7710b81f2c0a81c4a4cf2d145324631bf [^]
2016-10-27 12:17 hgbot Checkin
2016-10-27 12:17 hgbot Note Added: 0090950
2016-11-02 10:50 mtaal Note Added: 0091055
2016-11-02 10:50 mtaal Status resolved => new
2016-11-02 10:50 mtaal Resolution fixed => open
2016-11-04 10:05 hgbot Checkin
2016-11-04 10:05 hgbot Note Added: 0091162
2016-11-04 10:06 Sandrahuguet Status new => scheduled
2016-11-04 10:06 Sandrahuguet Status scheduled => resolved
2016-11-04 10:06 Sandrahuguet Resolution open => fixed
2016-11-07 12:04 mtaal Note Added: 0091196
2016-11-07 12:04 mtaal Status resolved => new
2016-11-07 12:04 mtaal Resolution fixed => open
2016-11-07 16:35 hgbot Checkin
2016-11-07 16:35 hgbot Note Added: 0091205
2016-11-07 16:42 Sandrahuguet Status new => scheduled
2016-11-07 16:43 Sandrahuguet Status scheduled => resolved
2016-11-07 16:43 Sandrahuguet Resolution open => fixed
2016-11-09 10:57 mtaal Status resolved => new
2016-11-09 10:57 mtaal Resolution fixed => open
2016-11-09 11:54 hgbot Checkin
2016-11-09 11:54 hgbot Note Added: 0091266
2016-11-09 11:54 hgbot Status new => resolved
2016-11-09 11:54 hgbot Resolution open => fixed
2016-11-09 11:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/506cd9a7710b81f2c0a81c4a4cf2d145324631bf [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/4bfc3af576fec9622b05b91e75292cd22feca74a [^]
2016-11-09 11:55 mtaal Review Assigned To mtaal => Sandrahuguet
2016-11-09 11:55 mtaal Note Added: 0091267
2016-11-09 12:44 hgbot Checkin
2016-11-09 12:44 hgbot Note Added: 0091278
2016-11-09 18:20 Sandrahuguet Assigned To Sandrahuguet => mtaal
2016-11-10 09:56 Sandrahuguet Note Added: 0091319
2016-11-10 09:56 Sandrahuguet Status resolved => closed
2016-11-10 09:56 Sandrahuguet Fixed in Version => RR17Q1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker